FollowerMXBean (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.quorum

## Interface FollowerMXBean

- All Superinterfaces:
    ZooKeeperServerMXBean
  All Known Implementing Classes:
    FollowerBean

      public interface FollowerMXBean
      extends ZooKeeperServerMXBean

  Follower MBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getElectionTimeTaken()`
    `String` | `getLastQueuedZxid()`
    `int` | `getMaxConcurrentDiffSyncs()`
    `int` | `getMaxConcurrentSnapSyncs()`
    `int` | `getObserverMasterPacketSizeLimit()`
    `int` | `getPendingRevalidationCount()`
    `String` | `getQuorumAddress()`
    `void` | `setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)`
    `void` | `setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)`
    `void` | `setObserverMasterPacketSizeLimit(int sizeLimit)` set the size limit in bytes for the observer master commit packet queue

    - ### Methods inherited from interface org.apache.zookeeper.server.ZooKeeperServerMXBean

      `getAuthFailedCount, getAvgRequestLatency, getClientPort, getCommitProcMaxCommitBatchSize, getCommitProcMaxReadBatchSize, getConnectionDecreaseRatio, getConnectionDropDecrease, getConnectionDropIncrease, getConnectionFreezeTime, getConnectionMaxTokens, getConnectionTokenFillCount, getConnectionTokenFillTime, getDataDirSize, getFlushDelay, getFsyncThresholdExceedCount, getJuteMaxBufferSize, getLargeRequestMaxBytes, getLargeRequestThreshold, getLastClientResponseSize, getLogDirSize, getMaxBatchSize, getMaxClientCnxnsPerHost, getMaxClientResponseSize, getMaxCnxns, getMaxRequestLatency, getMaxSessionTimeout, getMaxWriteQueuePollTime, getMinClientResponseSize, getMinRequestLatency, getMinSessionTimeout, getNonMTLSLocalConnCount, getNonMTLSRemoteConnCount, getNumAliveConnections, getOutstandingRequests, getPacketsReceived, getPacketsSent, getRequestStaleConnectionCheck, getRequestStaleLatencyCheck, getRequestThrottleDropStale, getRequestThrottleLimit, getRequestThrottleStallTime, getResponseCachingEnabled, getSecureClientAddress, getSecureClientPort, getStartTime, getThrottledOpWaitTime, getTickTime, getTxnLogElapsedSyncTime, getVersion, resetAuthFailedCount, resetFsyncThresholdExceedCount, resetLatency, resetMaxLatency, resetNonMTLSConnCount, resetStatistics, setCommitProcMaxCommitBatchSize, setCommitProcMaxReadBatchSize, setConnectionDecreaseRatio, setConnectionDropDecrease, setConnectionDropIncrease, setConnectionFreezeTime, setConnectionMaxTokens, setConnectionTokenFillCount, setConnectionTokenFillTime, setFlushDelay, setLargeRequestMaxBytes, setLargeRequestThreshold, setMaxBatchSize, setMaxClientCnxnsPerHost, setMaxSessionTimeout, setMaxWriteQueuePollTime, setMinSessionTimeout, setRequestStaleConnectionCheck, setRequestStaleLatencyCheck, setRequestThrottleDropStale, setRequestThrottleLimit, setRequestThrottleStallTime, setResponseCachingEnabled, setThrottledOpWaitTime, setTickTime`

- - ### Method Detail

    - #### getQuorumAddress

          String getQuorumAddress()

      Returns:
        socket address

    - #### getLastQueuedZxid

          String getLastQueuedZxid()

      Returns:
        last queued zxid

    - #### getPendingRevalidationCount

          int getPendingRevalidationCount()

      Returns:
        count of pending revalidations

    - #### getElectionTimeTaken

          long getElectionTimeTaken()

      Returns:
        time taken for leader election in milliseconds.

    - #### getObserverMasterPacketSizeLimit

          int getObserverMasterPacketSizeLimit()

      Returns:
        the size limit in bytes for the observer master commit packet queue

    - #### setObserverMasterPacketSizeLimit

          void setObserverMasterPacketSizeLimit(int sizeLimit)

      set the size limit in bytes for the observer master commit packet queue

    - #### getMaxConcurrentSnapSyncs

          int getMaxConcurrentSnapSyncs()

      Returns:
        Number of concurrent snapshots permitted to send to observers

    - #### setMaxConcurrentSnapSyncs

          void setMaxConcurrentSnapSyncs(int maxConcurrentSnapSyncs)

      Parameters:
        `maxConcurrentSnapSyncs` - Number of concurrent snapshots permitted to send to observers

    - #### getMaxConcurrentDiffSyncs

          int getMaxConcurrentDiffSyncs()

      Returns:
        Number of concurrent diff syncs permitted to send to observers

    - #### setMaxConcurrentDiffSyncs

          void setMaxConcurrentDiffSyncs(int maxConcurrentDiffSyncs)

      Parameters:
        `maxConcurrentDiffSyncs` - Number of concurrent diff syncs permitted to send to observers

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.